"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.dumpStation = void 0;
const eufy_security_client_1 = require("eufy-security-client");
// eslint-disable-next-line @typescript-eslint/no-unused-vars
const dumpStation = (station, schemaVersion) => {
    const base = {
        name: station.getPropertyValue(eufy_security_client_1.PropertyName.Name),
        model: station.getPropertyValue(eufy_security_client_1.PropertyName.Model),
        serialNumber: station.getPropertyValue(eufy_security_client_1.PropertyName.SerialNumber),
        hardwareVersion: station.getPropertyValue(eufy_security_client_1.PropertyName.HardwareVersion),
        softwareVersion: station.getPropertyValue(eufy_security_client_1.PropertyName.SoftwareVersion),
        lanIpAddress: station.getPropertyValue(eufy_security_client_1.PropertyName.StationLANIpAddress),
        macAddress: station.getPropertyValue(eufy_security_client_1.PropertyName.StationMacAddress),
        currentMode: station.getPropertyValue(eufy_security_client_1.PropertyName.StationCurrentMode),
        guardMode: station.getPropertyValue(eufy_security_client_1.PropertyName.StationGuardMode),
        connected: station.isConnected(),
    };
    if (schemaVersion == 0) {
        return base;
    }
    const station1 = base;
    station1.type = station.getPropertyValue(eufy_security_client_1.PropertyName.Type);
    if (schemaVersion <= 2) {
        return station1;
    }
    const station3 = station1;
    station3.timeFormat = station.getPropertyValue(eufy_security_client_1.PropertyName.StationTimeFormat);
    station3.alarmVolume = station.getPropertyValue(eufy_security_client_1.PropertyName.StationAlarmVolume);
    station3.alarmTone = station.getPropertyValue(eufy_security_client_1.PropertyName.StationAlarmTone);
    station3.promptVolume = station.getPropertyValue(eufy_security_client_1.PropertyName.StationPromptVolume);
    station3.notificationSwitchModeSchedule = station.getPropertyValue(eufy_security_client_1.PropertyName.StationNotificationSwitchModeSchedule);
    station3.notificationSwitchModeGeofence = station.getPropertyValue(eufy_security_client_1.PropertyName.StationNotificationSwitchModeGeofence);
    station3.notificationSwitchModeApp = station.getPropertyValue(eufy_security_client_1.PropertyName.StationNotificationSwitchModeApp);
    station3.notificationSwitchModeKeypad = station.getPropertyValue(eufy_security_client_1.PropertyName.StationNotificationSwitchModeKeypad);
    station3.notificationStartAlarmDelay = station.getPropertyValue(eufy_security_client_1.PropertyName.StationNotificationStartAlarmDelay);
    if (schemaVersion <= 4) {
        return station3;
    }
    // All schemas >= 5
    const station5 = station3;
    station5.switchModeWithAccessCode = station.getPropertyValue(eufy_security_client_1.PropertyName.StationSwitchModeWithAccessCode);
    station5.autoEndAlarm = station.getPropertyValue(eufy_security_client_1.PropertyName.StationAutoEndAlarm);
    station5.turnOffAlarmWithButton = station.getPropertyValue(eufy_security_client_1.PropertyName.StationTurnOffAlarmWithButton);
    return station5;
};
exports.dumpStation = dumpStation;
//# sourceMappingURL=state.js.map